can i use airport 5.4.2 with time capsule or do i need 5.5.2 version

  • Asked by Robert L from Wildomar
  • Mar 18, 2010
QA Apple Time Capsule

QA Apple Time Capsule

Product No Longer Available

1 Answer from the Community

  • No, install the software from the included CD to your computer before connecting the TC.

    • Answered by Andrew H from Carmel
    • Mar 23, 2010